osg::FrameBufferAttachment Class Reference

`#include <FrameBufferObject>`

## Public Member Functions

| FrameBufferAttachment ()
| FrameBufferAttachment (const FrameBufferAttachment &copy)
| FrameBufferAttachment (RenderBuffer *target)
| FrameBufferAttachment (Texture1D *target, unsigned int level=0)
| FrameBufferAttachment (Texture2D *target, unsigned int level=0)
| FrameBufferAttachment (Texture2DMultisample *target, unsigned int level=0)
| FrameBufferAttachment (Texture3D *target, unsigned int zoffset, unsigned int level=0)
| FrameBufferAttachment (Texture2DArray *target, unsigned int layer, unsigned int level=0)
| FrameBufferAttachment (TextureCubeMap *target, unsigned int face, unsigned int level=0)
| FrameBufferAttachment (TextureRectangle *target)
| FrameBufferAttachment (Camera::Attachment &attachment)
| ~FrameBufferAttachment ()
FrameBufferAttachment & | operator= (const FrameBufferAttachment &copy)
bool | isMultisample () const
void | createRequiredTexturesAndApplyGenerateMipMap (State &state, const GLExtensions *ext) const
void | attach (State &state, GLenum target, GLenum attachment_point, const GLExtensions *ext) const
int | compare (const FrameBufferAttachment &fa) const
RenderBuffer * | getRenderBuffer ()
const RenderBuffer * | getRenderBuffer () const
Texture * | getTexture ()
const Texture * | getTexture () const
unsigned int | getCubeMapFace () const
unsigned int | getTextureLevel () const
unsigned int | getTexture3DZOffset () const
unsigned int | getTextureArrayLayer () const
void | resizeGLObjectBuffers (unsigned int maxSize)
void | releaseGLObjects (osg::State *=0) const

## Constructor & Destructor Documentation

## FrameBufferAttachment() [1/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( |  | ) |

Referenced by compare(), FrameBufferAttachment(), and operator=().

## FrameBufferAttachment() [2/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | const FrameBufferAttachment & | copy | ) |

References FrameBufferAttachment().

## FrameBufferAttachment() [3/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | RenderBuffer * | target | ) |

explicit

## FrameBufferAttachment() [4/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture1D * | target,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [5/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture2D * | target,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [6/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture2DMultisample * | target,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [7/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture3D * | target,
|  | unsigned int | zoffset,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [8/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Texture2DArray * | target,
|  | unsigned int | layer,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [9/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | TextureCubeMap * | target,
|  | unsigned int | face,
|  | unsigned int | level = 0 )

explicit

## FrameBufferAttachment() [10/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | TextureRectangle * | target | ) |

explicit

## FrameBufferAttachment() [11/11]

osg::FrameBufferAttachment::FrameBufferAttachment | ( | Camera::Attachment & | attachment | ) |

explicit

## ~FrameBufferAttachment()

osg::FrameBufferAttachment::~FrameBufferAttachment | ( |  | ) |

## Member Function Documentation

## attach()

void osg::FrameBufferAttachment::attach | ( | State & | state,
|  | GLenum | target,
|  | GLenum | attachment_point,
|  | const GLExtensions * | ext ) const

## compare()

int osg::FrameBufferAttachment::compare | ( | const FrameBufferAttachment & | fa | ) | const

References FrameBufferAttachment().

## createRequiredTexturesAndApplyGenerateMipMap()

void osg::FrameBufferAttachment::createRequiredTexturesAndApplyGenerateMipMap | ( | State & | state,
|  | const GLExtensions * | ext ) const

## getCubeMapFace()

unsigned int osg::FrameBufferAttachment::getCubeMapFace | ( |  | ) | const

## getRenderBuffer() [1/2]

RenderBuffer * osg::FrameBufferAttachment::getRenderBuffer | ( |  | ) |

## getRenderBuffer() [2/2]

const RenderBuffer * osg::FrameBufferAttachment::getRenderBuffer | ( |  | ) | const

## getTexture() [1/2]

Texture * osg::FrameBufferAttachment::getTexture | ( |  | ) |

## getTexture() [2/2]

const Texture * osg::FrameBufferAttachment::getTexture | ( |  | ) | const

## getTexture3DZOffset()

unsigned int osg::FrameBufferAttachment::getTexture3DZOffset | ( |  | ) | const

## getTextureArrayLayer()

unsigned int osg::FrameBufferAttachment::getTextureArrayLayer | ( |  | ) | const

## getTextureLevel()

unsigned int osg::FrameBufferAttachment::getTextureLevel | ( |  | ) | const

## isMultisample()

bool osg::FrameBufferAttachment::isMultisample | ( |  | ) | const

## operator=()

FrameBufferAttachment & osg::FrameBufferAttachment::operator= | ( | const FrameBufferAttachment & | copy | ) |

References FrameBufferAttachment().

## releaseGLObjects()

void osg::FrameBufferAttachment::releaseGLObjects | ( | osg::State * | = 0 | ) | const

## resizeGLObjectBuffers()

void osg::FrameBufferAttachment::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

The documentation for this class was generated from the following file:

- FrameBufferObject